
# Copyright 2009-2011 Intel Corporation All Rights Reserved.
#
# The source code contained or described herein and all documents
# related to the source code ("Material") are owned by Intel
# Corporation or its suppliers or licensors. Title to the Material
# remains with Intel Corporation or its suppliers and licensors. The
# Material may contain trade secrets and proprietary and confidential
# information of Intel Corporation and its suppliers and licensors,
# and is protected by worldwide copyright and trade secret laws and
# treaty provisions. No part of the Material may be used, copied,
# reproduced, modified, published, uploaded, posted, transmitted,
# distributed, or disclosed in any way without Intel's prior express
# written permission.
#
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel or otherwise. Any license under
# such intellectual property rights must be express and approved by
# Intel in writing.
#
# Unless otherwise agreed by Intel in writing, you may not remove or
# alter this notice or any other notice embedded in Materials by Intel
# or Intel's suppliers or licensors in any way.

""" Make the common folder a module and register supported provisioning
    systems and operating systems.
"""

import oslayer
from rhel import RHEL, RHEL61
from centos import CENTOS
from pcm import PCM12, PCM20, PCM21, PCM30, PCM301
from rocks import ROCKS53, ROCKSPLUS53, ROCKSPLUS54
from provisioning import register_provisioning

__version__ = "$Rev: 37221 $"

# Be careful in the order in which the OSs are registered
# As the RDF is working today first it tries to detect a RHEL 6.1 based OS
# if it fails it tries to detect a generic based RHEL OS.
# So for new OSs add always at top
oslayer.register_os(RHEL61)
oslayer.register_os(RHEL)
oslayer.register_os(CENTOS)

register_provisioning(PCM12)
register_provisioning(PCM20)
register_provisioning(PCM21)
register_provisioning(PCM30)
register_provisioning(PCM301)
register_provisioning(ROCKS53)
register_provisioning(ROCKSPLUS53)
register_provisioning(ROCKSPLUS54)

