#!/bin/bash
# Copyright 2009-2011 Intel Corporation All Rights Reserved.
#
# The source code contained or described herein and all documents
# related to the source code ("Material") are owned by Intel
# Corporation or its suppliers or licensors. Title to the Material
# remains with Intel Corporation or its suppliers and licensors. The
# Material may contain trade secrets and proprietary and confidential
# information of Intel Corporation and its suppliers and licensors,
# and is protected by worldwide copyright and trade secret laws and
# treaty provisions. No part of the Material may be used, copied,
# reproduced, modified, published, uploaded, posted, transmitted,
# distributed, or disclosed in any way without Intel's prior express
# written permission.
#
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel or otherwise. Any license under
# such intellectual property rights must be express and approved by
# Intel in writing.
#
# Unless otherwise agreed by Intel in writing, you may not remove or
# alter this notice or any other notice embedded in Materials by Intel
# or Intel's suppliers or licensors in any way.

__version__="$Rev: 32524 $"

function grep_check 
{
	text_to_check=$1
	file_to_check=$2
	REST=$(grep "$text_to_check" $file_to_check)
	return $?
}
function set_value
{
	exist_value=$1
	parameter=$2
	file_to_change=$3
	
	if [ $exist_value -eq 1 ]
		then 
			echo "#Line added by Automata ICR Recipe" >> $file_to_change
			echo "$parameter" >> $file_to_change
		fi
}
function set_bkm_ethernet
{
	driver_to_check=$1
	parameter_to_set=$2
	file_to_check=$3

	grep_check "$driver_to_check" $file_to_check
	if [ $? -eq 0 ]
	then 
		grep_check "$parameter_to_set" $file_to_check
		set_value $? "options $driver_to_check $parameter_to_set" $file_to_check
	fi
}


MODPROBEFILE="/etc/modprobe.d/modprobe.conf"
touch $MODPROBEFILE
echo -e "Setting Ethernet Driver Parameter HPC BKM configuration"

# This variable will be edited by the installer. If it is not, fall back
# to previous behavior.
DRIVERS="FIND"


if [ "$DRIVERS" == "FIND" ]
then
    set_bkm_ethernet e1000e "InterruptThrottleRate=0,3" $MODPROBEFILE
    set_bkm_ethernet e1000 "InterruptThrottleRate=0,3" $MODPROBEFILE
    set_bkm_ethernet igb "InterruptThrottleRate=0,3" $MODPROBEFILE
else
    # Include the line for all the drivers
    for drv in $(echo $DRIVERS); do
		set_value 1 "options $drv InterruptThrottleRate=0,3" $MODPROBEFILE 
    done
fi

	
chkconfig irqbalance off
service irqbalance stop

service network stop

if [ "$DRIVERS" == "FIND" ]
then
    ETH_DRIVER=$(grep "InterruptThrottleRate=0,3" $MODPROBEFILE | awk '{ print $2 }')
    if [ "$ETH_DRIVER" != "" ]
        then
            modprobe -r $ETH_DRIVER
            modprobe $ETH_DRIVER
        fi
else
    for drv in $(echo $DRIVERS); do
        modprobe -r $drv
	modprobe $drv
    done
fi

sleep 5
service network start
service dhcpd restart

