#!/bin/bash
# Copyright 2009-2010 Intel Corporation All Rights Reserved.
#
# The source code contained or described herein and all documents
# related to the source code ("Material") are owned by Intel
# Corporation or its suppliers or licensors. Title to the Material
# remains with Intel Corporation or its suppliers and licensors. The
# Material may contain trade secrets and proprietary and confidential
# information of Intel Corporation and its suppliers and licensors,
# and is protected by worldwide copyright and trade secret laws and
# treaty provisions. No part of the Material may be used, copied,
# reproduced, modified, published, uploaded, posted, transmitted,
# distributed, or disclosed in any way without Intel's prior express
# written permission.
#
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel or otherwise. Any license under
# such intellectual property rights must be express and approved by
# Intel in writing.
#
# Unless otherwise agreed by Intel in writing, you may not remove or
# alter this notice or any other notice embedded in Materials by Intel
# or Intel's suppliers or licensors in any way.

### CONF FILE ###

__version__="$Rev: 32524 $"

function grep_check 
{
	text_to_check=$1
	file_to_check=$2
	REST=$(grep "$text_to_check" $file_to_check)
	return $?
}

function set_value
{
	exist_value=$1
	parameter=$2
	file_to_change=$3
	
	if [ $exist_value -eq 1 ]
		then 
			echo "#Line added by Automata ICR Recipe" >> $file_to_change
			echo "$parameter" >> $file_to_change
		fi
}

SYSCTRL_FILE="/etc/sysctl.conf"
PARAMETER_TO_SET="net.ipv4.neigh.ib0.base_reachable_time=14400"

echo -e "Setting the Runtime kernel parameters"
grep_check $PARAMETER_TO_SET $SYSCTRL_FILE
set_value $? $PARAMETER_TO_SET $SYSCTRL_FILE

#The command set the sysctl var on runtime enabling us to avoid the rebooting of the node.
/sbin/sysctl -w $PARAMETER_TO_SET

